unit replspyprod;

interface

uses gateobjects;

type
  tSecureCGateEnv   = class(tCGateEnv)
    function  GetEnvironmentSettings: ansistring; override;
  end;

implementation

{ tSecureCGateEnv }

function tSecureCGateEnv.GetEnvironmentSettings: ansistring;
  function GetDecryptedKey: ansistring;
  const key   : ansistring = #$6E#$9D#$9B#$AD#$72#$6A#$6A#$77#$9A#$9A#$8F#$9B#$64#$AC#$83#$7C +
                             #$91#$A5#$6C#$7B#$87#$81#$A7#$6E#$AA#$89#$AF#$9B#$7E#$A1#$67#$7D +
                             #$AB#$81#$AE#$88#$97;
        gamma : ansistring = '53264563245632798703193182978201';
  var i : longint;
  begin
    result:= key;
    for i:= 1 to length(result) do result[i]:= chr(ord(result[i]) - ord(gamma[i mod 32 + 1]));
  end;
begin
  result:= inherited GetEnvironmentSettings + GetDecryptedKey;
end;

initialization
  EnvironmentSettingsClass:= tSecureCGateEnv;

end.